Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.binary.visitor
Class PatternWalker

    java.lang.Object
      org.kohsuke.rngom.binary.visitor.PatternWalker

All Implemented Interfaces:
  PatternVisitor

Direct Known Subclasses:
  ChildElementFinder

    public class PatternWalker

extends java.lang.Object
implements PatternVisitor

Walks the pattern tree.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Constructor Summary
`PatternWalker()`

Method Summary
`void` | `visitAfter(Pattern p1, Pattern p2)`
`void` | `visitAttribute(NameClass ns, Pattern value)`
`protected void` | `visitBinary(Pattern p1, Pattern p2)`
`void` | `visitChoice(Pattern p1, Pattern p2)`
`void` | `visitData(org.relaxng.datatype.Datatype dt)`
`void` | `visitDataExcept(org.relaxng.datatype.Datatype dt, Pattern except)`
`void` | `visitElement(NameClass nc, Pattern content)`
`void` | `visitEmpty()`
`void` | `visitError()`
`void` | `visitGroup(Pattern p1, Pattern p2)`
`void` | `visitInterleave(Pattern p1, Pattern p2)`
`void` | `visitList(Pattern p)`
`void` | `visitNotAllowed()`
`void` | `visitOneOrMore(Pattern p)`
`void` | `visitText()`
`void` | `visitValue(org.relaxng.datatype.Datatype dt, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternWalker

    public PatternWalker()

Method Detail

### visitEmpty

    public void visitEmpty()

  Specified by:
    `visitEmpty` in interface `PatternVisitor`

### visitNotAllowed

    public void visitNotAllowed()

  Specified by:
    `visitNotAllowed` in interface `PatternVisitor`

### visitError

    public void visitError()

  Specified by:
    `visitError` in interface `PatternVisitor`

### visitGroup

    public void visitGroup(Pattern p1,
                           Pattern p2)

  Specified by:
    `visitGroup` in interface `PatternVisitor`

### visitBinary

    protected void visitBinary(Pattern p1,
                               Pattern p2)

### visitInterleave

    public void visitInterleave(Pattern p1,
                                Pattern p2)

  Specified by:
    `visitInterleave` in interface `PatternVisitor`

### visitChoice

    public void visitChoice(Pattern p1,
                            Pattern p2)

  Specified by:
    `visitChoice` in interface `PatternVisitor`

### visitOneOrMore

    public void visitOneOrMore(Pattern p)

  Specified by:
    `visitOneOrMore` in interface `PatternVisitor`

### visitElement

    public void visitElement(NameClass nc,
                             Pattern content)

  Specified by:
    `visitElement` in interface `PatternVisitor`

### visitAttribute

    public void visitAttribute(NameClass ns,
                               Pattern value)

  Specified by:
    `visitAttribute` in interface `PatternVisitor`

### visitData

    public void visitData(org.relaxng.datatype.Datatype dt)

  Specified by:
    `visitData` in interface `PatternVisitor`

### visitDataExcept

    public void visitDataExcept(org.relaxng.datatype.Datatype dt,
                                Pattern except)

  Specified by:
    `visitDataExcept` in interface `PatternVisitor`

### visitValue

    public void visitValue(org.relaxng.datatype.Datatype dt,
                           java.lang.Object obj)

  Specified by:
    `visitValue` in interface `PatternVisitor`

### visitText

    public void visitText()

  Specified by:
    `visitText` in interface `PatternVisitor`

### visitList

    public void visitList(Pattern p)

  Specified by:
    `visitList` in interface `PatternVisitor`

### visitAfter

    public void visitAfter(Pattern p1,
                           Pattern p2)

  Specified by:
    `visitAfter` in interface `PatternVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD